Update Connection
curl --request PATCH \
--url https://api.duvo.ai/v2/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"server_url": "<string>",
"headers": {
"plaintext": {},
"secret": {}
},
"shared": true
}
'import requests
url = "https://api.duvo.ai/v2/connections/{connection_id}"
payload = {
"name": "<string>",
"server_url": "<string>",
"headers": {
"plaintext": {},
"secret": {}
},
"shared": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
server_url: '<string>',
headers: {plaintext: {}, secret: {}},
shared: true
})
};
fetch('https://api.duvo.ai/v2/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"provider": "<string>",
"user_id": "<string>",
"team_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"server_url": "<string>",
"auth_method": "<string>",
"custom_integration_id": "<string>",
"icon_url": "<string>",
"oauth_provider": "<string>",
"oauth_provider_key": "<string>",
"oauth_scopes": [
"<string>"
],
"has_headers": true,
"has_oauth_tokens": true,
"integration_id": "<string>",
"shared": true,
"created_by": "<string>",
"broken_at": "2023-11-07T05:31:56Z",
"broken_reason": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Connections
Update Connection
Update an existing connection. For sensitive header values, sending an empty string keeps the existing value; send a new value to overwrite. Toggling shared moves the connection between personal and team-shared.
PATCH
/
v2
/
connections
/
{connection_id}
Update Connection
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Connection ID
Body
application/json
Response
Default Response
Available options:
stdio, sse, http Was this page helpful?
⌘I